package cokr.xit.fims.epst.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.epst.EpostDlvrRslt;
import cokr.xit.fims.epst.EpostQuery;
import cokr.xit.fims.epst.service.EpostDlvrRsltService;

/**전자우편 배달 결과 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2024-01-05	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("epostDlvrRsltService")
public class EpostDlvrRsltServiceBean extends AbstractServiceBean implements EpostDlvrRsltService {

	/** 전자우편 배달 결과 정보 Bean */
	@Resource(name = "epostDlvrRsltBean")
	private EpostDlvrRsltBean epostDlvrRsltBean;

	@Override
	public List<DataObject> getEpostDlvrRsltList(EpostQuery req) {
		return epostDlvrRsltBean.getEpostDlvrRsltList(req);
	}

	@Override
	public List<DataObject> getEpostDlvrRslts(EpostQuery req) {
		return epostDlvrRsltBean.getEpostDlvrRslts(req);
	}

	@Override
	public boolean create(EpostDlvrRslt epostDlvrRslt) {
		return epostDlvrRsltBean.create(epostDlvrRslt);
	}

	@Override
	public boolean update(EpostDlvrRslt epostDlvrRslt) {
		return epostDlvrRsltBean.update(epostDlvrRslt);
	}

	@Override
	public boolean remove(EpostDlvrRslt epostDlvrRslt) {
		return epostDlvrRsltBean.remove(epostDlvrRslt);
	}

}
